//
//  NSString+UUID.m
//  ProtoFlow
//
//  Created by John Pannell on 9/28/08.
//  Copyright 2008 Positive Spin Media. All rights reserved.
//

#import "NSString+UUID.h"

@implementation NSString(UUIDAdditions)

+ (NSString*) stringWithNewUUID{
    CFUUIDRef uuidObj = CFUUIDCreate(nil);
    NSString *newUUID = (NSString*)CFUUIDCreateString(nil, uuidObj);
    CFRelease(uuidObj);
    return [newUUID autorelease];
}

@end
